aboutsummaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/ci-AGL-verify/ci-platform-jjb.yaml10
-rw-r--r--jjb/common/include-agl-auto-conf.sh18
-rw-r--r--jjb/common/include-agl-header.sh7
-rw-r--r--jjb/common/include-agl-lava-jobs-submit.sh8
4 files changed, 34 insertions, 9 deletions
diff --git a/jjb/ci-AGL-verify/ci-platform-jjb.yaml b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
index d294e7f3..b94ee193 100644
--- a/jjb/ci-AGL-verify/ci-platform-jjb.yaml
+++ b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
@@ -21,7 +21,7 @@
# - ci-platform-{project}-verify-CIB-start #unused
- ci-platform-{project}-verify-CIB-{machine}
- ci-platform-{project}-verify-CIB-html5-qemux86-64
- - ci-platform-{project}-verify-CIB-aglcompositor-qemux86-64
+ #- ci-platform-{project}-verify-CIB-aglcompositor-qemux86-64
- ci-platform-{project}-verify-CIB-finish-success
- ci-platform-{project}-verify-failure
# - ci-platform-{project}-verify-CIBT-start #unused
@@ -196,10 +196,10 @@
current-parameters: true
abort-all-job: false
kill-phase-on: NEVER
- - name: 'ci-platform-{project}-verify-CIB-aglcompositor-qemux86-64'
- current-parameters: true
- abort-all-job: false
- kill-phase-on: NEVER
+ #- name: 'ci-platform-{project}-verify-CIB-aglcompositor-qemux86-64'
+ # current-parameters: true
+ # abort-all-job: false
+ # kill-phase-on: NEVER
publishers:
- trigger-parameterized-builds:
diff --git a/jjb/common/include-agl-auto-conf.sh b/jjb/common/include-agl-auto-conf.sh
index e5ad5c8e..2d3e96bf 100644
--- a/jjb/common/include-agl-auto-conf.sh
+++ b/jjb/common/include-agl-auto-conf.sh
@@ -33,6 +33,24 @@ SSTATE_MIRRORS = " \
IMAGE_FSTYPES_remove = "ext3"
SSTATE_DIR = "\${TOPDIR}/sstate-cache/\${MACHINE}/"
+
+INHERIT += "packagefeed-stability"
+INHERIT += "buildhistory"
+EOF
+
+fi
+
+# PRSERV and HASHSERV for CI
+# but only starting with dunfell / master -> soon jellyfish
+if test x"master" = x"${DISTROBRANCH}" -o test -x"jellyfish" = x"${DISTROBRANCH}" ; then
+
+export PRHASHSERV="10.30.72.18"
+cat << EOF >> conf/auto.conf
+# HASHSERVE
+BB_HASHSERVE = "${PRHASHSERV}:8686"
+BB_SIGNATURE_HANDLER = "OEEquivHash"
+
+PRSERV_HOST = "${PRHASHSERV}:8585"
EOF
fi \ No newline at end of file
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 6e118837..02e9cb92 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -159,6 +159,13 @@ if test x"h3ulcb-nogfx" = x"$MACHINE"; then
export TARGETSDKIMAGE="agl-image-ivi-crosssdk"
fi
+if test x"raspberrypi4" = x"${MACHINE}" -a x"master" = x"${TARGETBRANCH}" ; then
+ export TARGETMACHINE="raspberrypi4-64"
+fi
+if test x"raspberrypi4" = x"${MACHINE}" -a x"jellyfish" = x"${TARGETBRANCH}" ; then
+ export TARGETMACHINE="raspberrypi4-64"
+fi
+
#if $DEBUG; then
set | grep ^TARGET || true
set | grep ^GERRIT || true
diff --git a/jjb/common/include-agl-lava-jobs-submit.sh b/jjb/common/include-agl-lava-jobs-submit.sh
index a94b25bc..912487dc 100644
--- a/jjb/common/include-agl-lava-jobs-submit.sh
+++ b/jjb/common/include-agl-lava-jobs-submit.sh
@@ -13,7 +13,7 @@ fi
if [ ! -e $JOB_FILE ]; then
echo "ERROR: LAVA job file $JOB_FILE not present."
- exit 1
+ exit 123
fi
JOB_BASE=$(basename $JOB_FILE .yaml)
@@ -34,7 +34,7 @@ fi
job_id=$(lavacli -i $lab jobs submit $JOB_FILE_NEW)
if [ $? -ne 0 ]; then
echo "ERROR: job submission error"
- exit 1
+ exit 123
fi
# Printing the job URL in the log
echo "THe job id is: ${job_id}"
@@ -48,7 +48,7 @@ echo "####################################################"
echo ""
# use lavacli wait job instead of the polling.
-lavacli -i $lab jobs wait $job_id --timeout 7200
+lavacli -i $lab jobs wait $job_id --timeout 7200 || true
lavacli -i $lab jobs show $job_id --yaml > $JOB_STATUS
state=$(grep ^state: $JOB_STATUS| cut -d' ' -f2)
if [ "$state" == "Finished" ]; then
@@ -190,6 +190,6 @@ set +x
if [ x"$status" = x"Complete" ]; then
exit 0
fi
-#exit 1
+#exit 123
# for now do not fail
exit 0